Page MenuHomePhabricator

Deploy page issues to enwiki and all remaining projects
Closed, ResolvedPublic1 Story Points

Description

NOTE: current deploy date is Jan 22

Background

Due to the annual fundraiser, we will be deploying the improvements to page issues to English Wikipedia after the initial deployments on other wikis.

Acceptance criteria

  • Deploy page issues to 100% of English wikipedia and all remaining projects

Signoff criteria

  • Make sure all necessary follow-up tasks are created

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable page issues improvements on English Wikipedia

Related Objects

StatusAssignedTask
OpenNone
ResolvedJdlrobson
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedphuedx
Resolved Tbayer
Resolvedovasileva
ResolvedNiedzielski
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolvedovasileva
Resolved Tbayer
Resolvedphuedx
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdlrobson
Resolved Tbayer
Resolved Tbayer
ResolvedNiedzielski
DeclinedNone
Resolvedovasileva

Event Timeline

ovasileva triaged this task as Normal priority.Nov 27 2018, 10:19 PM
ovasileva created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 27 2018, 10:19 PM
ovasileva renamed this task from Deploy page issues to enwiki to Deploy page issues to enwiki and all remaining projects.Dec 17 2018, 6:10 PM
ovasileva updated the task description. (Show Details)
Jdlrobson raised the priority of this task from Normal to High.Jan 3 2019, 12:11 AM
Jdlrobson set the point value for this task to 1.
Jdlrobson moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.

Guessing we can do this now and close out T159262!?!?

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJan 3 2019, 12:12 AM

Guessing we can do this now and close out T159262!?!?

We're blocked on the report from T200794: Analyze results of page issues A/B test - just added as a subtask so it shows in the graph. We think we'll be able to finish this week and deploy the week of Jan 14th. Adding new date to the description.

ovasileva updated the task description. (Show Details)Jan 7 2019, 5:39 PM
ovasileva updated the task description. (Show Details)Jan 14 2019, 6:11 PM
Niedzielski updated the task description. (Show Details)Jan 16 2019, 2:22 PM
Niedzielski added a subscriber: Niedzielski.

I've revised the description to clarify that the new deploy date is yet to be determined. Please undo if I'm incorrect.

ovasileva updated the task description. (Show Details)Jan 21 2019, 7:06 PM

Change 485787 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Enable page issues improvements to english wikipedia

https://gerrit.wikimedia.org/r/485787

Change 485787 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable page issues improvements on English Wikipedia

https://gerrit.wikimedia.org/r/485787

Mentioned in SAL (#wikimedia-operations) [2019-01-22T13:07:40Z] <pmiazga@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:485787|Enable page issues improvements on English Wikipedia ([T210554])]] (duration: 00m 46s)

pmiazga added a subscriber: pmiazga.

Deployed to English Wikipedia.

phuedx claimed this task.Jan 22 2019, 6:06 PM
ovasileva added a subscriber: phuedx.
ovasileva updated the task description. (Show Details)Jan 23 2019, 8:23 PM

Seeing some weirdness on wikivoyage:

wikiscreenshotstatusnotes
enwiki
OKalso tested section issues
wikisource
OK
mediawiki
OK
wikiquote
OK
wikibooks
OK
wikinews
OK
wikivoyage
broken
ovasileva closed this task as Resolved.Jan 24 2019, 11:50 PM

Opened {T214653] to track wikivoyage issues. All done everywhere else! Resolving.

ovasileva updated the task description. (Show Details)Jan 24 2019, 11:50 PM